searchNodes=[{"doc":"Documentation for Qronomnom .","ref":"Qronomnom.html","title":"Qronomnom","type":"module"},{"doc":"Generates a new authenticated client. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) % Tesla . client { }","ref":"Qronomnom.html#client/1","title":"Qronomnom.client/1","type":"function"},{"doc":"","ref":"Qronomnom.html#t:client_opts/0","title":"Qronomnom.client_opts/0","type":"type"},{"doc":"Functions for interacting with Bookings resource.","ref":"Qronomnom.Bookings.html","title":"Qronomnom.Bookings","type":"module"},{"doc":"Creates a booking. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Bookings . create ( %{ description : &quot;string&quot; , start : &quot;~U[2021-10-11 19:17:02.566057Z]&quot; , end : &quot;~U[2021-10-11 20:17:02.566057Z]&quot; , item_id : &quot;itm_EwYbBY2&quot; , customer : { &quot;id&quot; : &quot;DFfDs&quot; } , metadata : %{ additionalProp : &quot;foo&quot; } , deleted : false } ) { :ok , %{ booking_id : &quot;DFfDs...&quot; } }","ref":"Qronomnom.Bookings.html#create/2","title":"Qronomnom.Bookings.create/2","type":"function"},{"doc":"Lists bookings. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Bookings . index ( ) { :ok , [ %{ booking_id : &quot;DFfDs..&quot; } , %{ booking_id : &quot;SDFdfa...&quot; } ] }","ref":"Qronomnom.Bookings.html#index/1","title":"Qronomnom.Bookings.index/1","type":"function"},{"doc":"Shows a single booking. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Bookings . show ( &quot;DFfDs&quot; ) { :ok , %{ booking_id : &quot;DFfDs..&quot; } }","ref":"Qronomnom.Bookings.html#show/2","title":"Qronomnom.Bookings.show/2","type":"function"},{"doc":"Updates a booking. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Bookings . update ( &quot;DFfDs...&quot; , %{ description : &quot;string&quot; , start : &quot;~U[2021-10-11 19:17:02.566057Z]&quot; , end : &quot;~U[2021-10-11 20:17:02.566057Z]&quot; , item_id : &quot;itm_EwYbBY2&quot; , customer : { &quot;id&quot; : &quot;DFfDs&quot; } , metadata : %{ additionalProp : &quot;foo&quot; } , deleted : false } ) { :ok , %{ booking_id : &quot;DFfDs...&quot; } }","ref":"Qronomnom.Bookings.html#update/3","title":"Qronomnom.Bookings.update/3","type":"function"},{"doc":"","ref":"Qronomnom.Bookings.html#t:booking_type/0","title":"Qronomnom.Bookings.booking_type/0","type":"type"},{"doc":"","ref":"Qronomnom.Bookings.html#t:customer_type/0","title":"Qronomnom.Bookings.customer_type/0","type":"type"},{"doc":"Functions for interacting with Customers resource.","ref":"Qronomnom.Customers.html","title":"Qronomnom.Customers","type":"module"},{"doc":"Creates a customer. Note that account must be a valid account ID hash. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Customers . create ( %{ account : &quot;asklf&quot; , email : &quot;string&quot; , full_name : &quot;string&quot; , nickname : &quot;string&quot; , phone : &quot;string&quot; , metadata : %{ additionalProp : &quot;foo&quot; } } ) { :ok , %{ customer_id : &quot;cus_EvLnqYo&quot; , ... } }","ref":"Qronomnom.Customers.html#create/2","title":"Qronomnom.Customers.create/2","type":"function"},{"doc":"Lists customers. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Customers . index ( ) { :ok , [ %{ customer_id : &quot;cus_EvLnqYo&quot; } , %{ customer_id : &quot;cus_SFOo&quot; } ] }","ref":"Qronomnom.Customers.html#index/1","title":"Qronomnom.Customers.index/1","type":"function"},{"doc":"Shows a single customer. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Customers . show ( &quot;cus_EvLnqYo&quot; ) { :ok , %{ customer_id : &quot;cus_EvLnqYo&quot; } }","ref":"Qronomnom.Customers.html#show/2","title":"Qronomnom.Customers.show/2","type":"function"},{"doc":"Updates a customer. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Customers . update ( &quot;cus_EvLnqYo&quot; , %{ email : &quot;string&quot; , full_name : &quot;string&quot; , nickname : &quot;string&quot; , phone : &quot;string&quot; , metadata : %{ additionalProp : &quot;foo&quot; } } ) { :ok , %{ customer_id : &quot;cus_EvLnqYo&quot; , ... } }","ref":"Qronomnom.Customers.html#update/3","title":"Qronomnom.Customers.update/3","type":"function"},{"doc":"","ref":"Qronomnom.Customers.html#t:customer_type/0","title":"Qronomnom.Customers.customer_type/0","type":"type"},{"doc":"Functions for interacting with Hooks resource.","ref":"Qronomnom.Hooks.html","title":"Qronomnom.Hooks","type":"module"},{"doc":"Creates a hook. Note that the value of :event in the hook map must be one of the strings specified by Qrono: either &quot;bookings.created&quot; or &quot;bookings.updated&quot; . Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Hooks . create ( %{ target_url : &quot;https://my_project.dev/webhooks_listener&quot; , event : &quot;bookings.created&quot; } ) { :ok , %{ hook_id : 1 , ... } }","ref":"Qronomnom.Hooks.html#create/2","title":"Qronomnom.Hooks.create/2","type":"function"},{"doc":"Destroys a hook. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Hooks . destroy ( 1 ) { :ok , %{ hook_id : 1 , ... } }","ref":"Qronomnom.Hooks.html#destroy/2","title":"Qronomnom.Hooks.destroy/2","type":"function"},{"doc":"Lists hooks. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Hooks . index ( ) { :ok , [ %{ hook_id : 1 } , %{ hook_id : 2 } ] }","ref":"Qronomnom.Hooks.html#index/1","title":"Qronomnom.Hooks.index/1","type":"function"},{"doc":"Shows a single hook. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Hooks . show ( 1 ) { :ok , %{ hook_id : 1 } }","ref":"Qronomnom.Hooks.html#show/2","title":"Qronomnom.Hooks.show/2","type":"function"},{"doc":"Updates a hook. Note that the value of :event in the hook map must be one of the strings specified by Qrono: either &quot;bookings.created&quot; or &quot;bookings.updated&quot; . Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Hooks . update ( 1 , %{ target_url : &quot;https://my_project.dev/webhooks_listener_2&quot; , event : &quot;bookings.created&quot; } ) { :ok , %{ hook_id : 1 , ... } }","ref":"Qronomnom.Hooks.html#update/3","title":"Qronomnom.Hooks.update/3","type":"function"},{"doc":"","ref":"Qronomnom.Hooks.html#t:hook_type/0","title":"Qronomnom.Hooks.hook_type/0","type":"type"},{"doc":"Functions for interacting with Items resource.","ref":"Qronomnom.Items.html","title":"Qronomnom.Items","type":"module"},{"doc":"Shows an item's calendar. Examples iex&gt; Qronomnom.client(%{api_key: &quot;MY_KEY&quot;}) |&gt; Qronomnom.Items.calendar() {:ok, [%{}, %{}]}","ref":"Qronomnom.Items.html#calendar/4","title":"Qronomnom.Items.calendar/4","type":"function"},{"doc":"Creates an item. Examples iex&gt; Qronomnom.client(%{api_key: &quot;MY_KEY&quot;}) |&gt; Qronomnom.Items.create(%{ name : &quot;string&quot; , default_image : &quot;string&quot; , handle : &quot;string&quot; , description : &quot;string&quot; , metadata : %{ additionalProp : &quot;foo&quot; } , booking_interval : :daily , default_available : true }) {:ok, %{item_id: &quot;itm_EwYbBY2&quot;}}","ref":"Qronomnom.Items.html#create/2","title":"Qronomnom.Items.create/2","type":"function"},{"doc":"Lists items. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Items . index ( ) { :ok , [ %{ item_id : 1 } , %{ item_id : 2 } ] }","ref":"Qronomnom.Items.html#index/1","title":"Qronomnom.Items.index/1","type":"function"},{"doc":"Shows a single item. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Items . index ( ) { :ok , [ %{ item_id : &quot;itm_EwYbBY2&quot; } , %{ item_id : &quot;itm_LKH5L&quot; } ] }","ref":"Qronomnom.Items.html#show/2","title":"Qronomnom.Items.show/2","type":"function"},{"doc":"Shows an item's timeblocks. Examples iex&gt; Qronomnom.client(%{api_key: &quot;MY_KEY&quot;}) |&gt; Qronomnom.Items.timeblocks() {:ok, [%{}, %{}]}","ref":"Qronomnom.Items.html#timeblocks/4","title":"Qronomnom.Items.timeblocks/4","type":"function"},{"doc":"Updates an item. Examples iex&gt; Qronomnom . client ( %{ api_key : &quot;MY_KEY&quot; } ) |&gt; Qronomnom.Items . update ( &quot;itm_EwYbBY2&quot; , %{ name : &quot;string&quot; , default_image : &quot;string&quot; , handle : &quot;string&quot; , description : &quot;string&quot; , metadata : %{ additionalProp : &quot;foo&quot; } , booking_interval : :daily , default_available : true } ) { :ok , %{ item_id : &quot;itm_EwYbBY2&quot; } }","ref":"Qronomnom.Items.html#update/3","title":"Qronomnom.Items.update/3","type":"function"},{"doc":"","ref":"Qronomnom.Items.html#t:booking_interval_type/0","title":"Qronomnom.Items.booking_interval_type/0","type":"type"},{"doc":"","ref":"Qronomnom.Items.html#t:item_type/0","title":"Qronomnom.Items.item_type/0","type":"type"},{"doc":"Utility functions for response parsing.","ref":"Response.html","title":"Response","type":"module"},{"doc":"Strip Tesla API client metadata &amp; return relevant body.","ref":"Response.html#handle_response/1","title":"Response.handle_response/1","type":"function"}]